#!/usr/bin/env python2
# -*- coding: utf-8 -*-
#
#  reordenator.py
#
#  Copyright 2013 Alfonso Saavedra "Son Link" <sonlink.dourden@gmail.com>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
#
#

from PIL import Image
from sys import argv

def main():
	in_img = Image.open('/tmp/work.png')
	out_img = Image.new("RGB", (256, 64), "white")
	x, y, w, h = (0, 0, 16, 8)
	#copy_img = in_img.crop(box)
	#copy_img.show()
	#for i in range(0, 2):
	for i in range(0, 4):
		#for n in range(0, 2):
		x = i*16
		box = (x, y, x + w, y + h)
		print box
		copy_img = Image.new("RGB", (32, 8), "white")
		copy_1 = in_img.crop(box)
		copy_img.paste(copy_1, (0, 0, 16, 8))

		copy_2 = in_img.crop((x, y+8, x + w, y+8 + h))
		copy_img.paste(copy_2, (16, 0, 32, 8))
		copy_img.show()
		box = (x, y, x + 32, y + h)
		out_img.paste(copy_img, box)
		x = i*32

	out_img.show()
	#out_img.save(argv[2], 'PNG')


if __name__ == '__main__':
	#if len(argv) == 3:
	main()
	#else:
		#print "Modo de uso:\n reordenator.py in.png out.png"

